Retrieve a customer
curl --request GET \
--url https://developersandbox-api.flutterwave.com/customers/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://developersandbox-api.flutterwave.com/customers/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://developersandbox-api.flutterwave.com/customers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"data": {
"id": "cus_3XarBILKQS",
"address": {
"city": "New York",
"country": "US",
"line1": "123 Main Street",
"postal_code": "10001",
"state": "New York",
"line2": "Apt 4B"
},
"email": "cornelius@gmail.com",
"name": {
"first": "King",
"middle": "Leo",
"last": "LeBron"
},
"phone": {
"country_code": "234",
"number": "08012345678"
},
"meta": {},
"created_datetime": "2023-11-07T05:31:56Z"
}
}{
"status": "failed",
"error": {
"type": "REQUEST_NOT_VALID",
"code": "10400",
"message": "Request is not valid",
"validation_errors": [
{
"field_name": "amount",
"message": "must not be null"
}
]
}
}{
"status": "failed",
"message": "UNAUTHORIZED",
"error": {
"type": "UNAUTHORIZED",
"code": "10401",
"message": "unauthorized"
}
}{
"status": "failed",
"message": "<string>",
"error": {
"type": "FORBIDDEN",
"code": "10403",
"message": "Forbidden"
}
}Customer
Retrieve a customer
Retrieve a customer.
GET
/
customers
/
{id}
Retrieve a customer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
A unique identifier to track this operation. It must be between 12 and 255 characters in length.
Required string length:
12 - 255Path Parameters
ID of the customer.
Example:
"cus_3XarBILKQS"
Was this page helpful?
⌘I